<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->

<div class="grid-measure-body ">
  <div class="maincontent">
    <div class="panel panel-default">

      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" href="#collapse4">Storno Bestätigung</a>
        </h4>
      </div>

      <form>
        <fieldset class="form-group">
          <div id="cancelContainer">
            <div>

              <div id="titleContainer" class="col-md-12">
                <label>Titel der Maßnahme</label>
                <input disabled="disabled" maxlength="256" type="text" name="title" id="title" class="form-control" [(ngModel)]="gridMeasureDetail.title"
                />
              </div>

              <div id="reasonContainer" class="col-md-12">
                <label>Bitte geben Sie eine Begründung ein:</label>
                <textarea id="cancelReasonText" maxlength="1024" rows="5" [required]="false" name="cancelReason" [(ngModel)]="cancelReasonText"></textarea>
              </div>

              <div id="buttonContainer" class="col-md-12">
                <button id="submitCancelBtn" (click)="doCancel()" type="button" class="btn btn-success pull-right">Bestätigen</button>

                <button id="backBtn" (click)="goToOverview()" [disabled]="storageInProgress" type="button" class="btn btn-primary pull-right">{{Globals.STATUS_BUTTON_LABEL['quit']}}</button>
              </div>
            </div>

          </div>
        </fieldset>
      </form>
    </div>
  </div>
</div>
